# reportabug: Reportabug Class Reference

All Classes Namespaces Files Functions Variables
Reportabug Class Reference

The Reportabug class is a main class of the application. More...

Inheritance diagram for Reportabug:

## Public Slots

void | sendReport ()
| method which creates an issue More...
void | showWindow ()
| method which updates text and shows window More...
void | updateTabs (const int index)
| method which updates text More...

## Public Member Functions

| Reportabug (QWidget *parent=0, bool debugCmd=false)
| Reportabug class constructor. More...
| ~Reportabug ()
| Reportabug class destructor. More...
void | externalUpdateTab ()
| method which is used for update tabs from external classes More...

## Detailed Description

The Reportabug class is a main class of the application.

## Constructor & Destructor Documentation

Reportabug::Reportabug | ( | QWidget * | parent = `0`,
|  | bool | debugCmd = `false`
| ) |  |

explicit

Reportabug class constructor.

Parameters

  parent | parent object
  debugCmd | show debug messages

Reportabug::~Reportabug | ( |  | ) |

Reportabug class destructor.

## Member Function Documentation

void Reportabug::externalUpdateTab | ( |  | ) |

method which is used for update tabs from external classes

void Reportabug::sendReport | ( |  | ) |

slot

method which creates an issue

void Reportabug::showWindow | ( |  | ) |

slot

method which updates text and shows window

void Reportabug::updateTabs | ( | const int | index | ) |

slot

method which updates text

Parameters

  index | the current combobox index

The documentation for this class was generated from the following file:

- reportabug.h